<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__csd__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_csd_config_t</compoundname>
    <includes local="no">cy_csd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__csd__config__t_1a5239f2ac87e2cdb57c61d89457891bbc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::config</definition>
        <argsstring />
        <name>config</name>
        <briefdescription>
<para>Stores the CSD.CONFIG register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="503" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="503" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a27d0eb7113b9e7499ab605ef7a44840f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::spare</definition>
        <argsstring />
        <name>spare</name>
        <briefdescription>
<para>Stores the CSD.SPARE register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="504" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="504" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1aea93a9bc486209ee42919e377626c6bc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Stores the CSD.STATUS register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="505" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a77c9b2701b86f376bf957adc1ed090ff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::statSeq</definition>
        <argsstring />
        <name>statSeq</name>
        <briefdescription>
<para>Stores the CSD.STAT_SEQ register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="506" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="506" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1acb7545b024f230dc4fad57573699f8cf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::statCnts</definition>
        <argsstring />
        <name>statCnts</name>
        <briefdescription>
<para>Stores the CSD.STAT_CNTS register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="507" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="507" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1ac357794b4fa9d35bfc2804f50f9d0417" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::statHcnt</definition>
        <argsstring />
        <name>statHcnt</name>
        <briefdescription>
<para>Stores the CSD.STAT_HCNT register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="508" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="508" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a7e79e3045eb8d532cb03a0a0bf6822ab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::resultVal1</definition>
        <argsstring />
        <name>resultVal1</name>
        <briefdescription>
<para>Stores the CSD.RESULT_VAL1 register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="509" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="509" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1aac762ceba3dcfeac2faea528e98536f5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::resultVal2</definition>
        <argsstring />
        <name>resultVal2</name>
        <briefdescription>
<para>Stores the CSD.RESULT_VAL2 register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="510" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="510" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a2d0daac77be320ca004a77d0e95f09b7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::adcRes</definition>
        <argsstring />
        <name>adcRes</name>
        <briefdescription>
<para>Stores the CSD.ADC_RES register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="511" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="511" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1ac30340788af8dd9c632a0b2b25f77c8b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::intr</definition>
        <argsstring />
        <name>intr</name>
        <briefdescription>
<para>Stores the CSD.INTR register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="512" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="512" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a60b56049e338c1d3b253329921f24a49" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::intrSet</definition>
        <argsstring />
        <name>intrSet</name>
        <briefdescription>
<para>Stores the CSD.INTR_SET register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="513" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="513" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1ab0edae5da88a448f2411b543c296dd92" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::intrMask</definition>
        <argsstring />
        <name>intrMask</name>
        <briefdescription>
<para>Stores the CSD.INTR_MASK register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="514" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="514" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1abb3d99031efea9748d8098a0cf3f3400" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::intrMasked</definition>
        <argsstring />
        <name>intrMasked</name>
        <briefdescription>
<para>Stores the CSD.INTR_MASKED register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="515" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="515" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a6cda2035795ec00e3583d34dfc516411" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::hscmp</definition>
        <argsstring />
        <name>hscmp</name>
        <briefdescription>
<para>Stores the CSD.HSCMP register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="516" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="516" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1abed4902deef6ed1d5211ec9f5f0e4d6e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::ambuf</definition>
        <argsstring />
        <name>ambuf</name>
        <briefdescription>
<para>Stores the CSD.AMBUF register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="517" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="517" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1ad76a8224aa69c75edee7e9b33fbe2027" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::refgen</definition>
        <argsstring />
        <name>refgen</name>
        <briefdescription>
<para>Stores the CSD.REFGEN register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="518" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="518" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a8d8d703358dddc8e72782e2466753af0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::csdCmp</definition>
        <argsstring />
        <name>csdCmp</name>
        <briefdescription>
<para>Stores the CSD.CSDCMP register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="519" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="519" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a281b6bfe25d8c850c7085da59be6a4dd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swRes</definition>
        <argsstring />
        <name>swRes</name>
        <briefdescription>
<para>Stores the CSD.SW_RES register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="520" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="520" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a71159d29816ad944ab9005cf1bcbea5a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::sensePeriod</definition>
        <argsstring />
        <name>sensePeriod</name>
        <briefdescription>
<para>Stores the CSD.SENSE_PERIOD register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="521" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="521" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1af96251504e6741c5f28775e75f177831" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::senseDuty</definition>
        <argsstring />
        <name>senseDuty</name>
        <briefdescription>
<para>Stores the CSD.SENSE_DUTY register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="522" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="522" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1af5632cd52218d2789a13283bb8249cdc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swHsPosSel</definition>
        <argsstring />
        <name>swHsPosSel</name>
        <briefdescription>
<para>Stores the CSD.SW_HS_P_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="523" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="523" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a8b978994d18d5b2fcd8dffe95cd84a87" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swHsNegSel</definition>
        <argsstring />
        <name>swHsNegSel</name>
        <briefdescription>
<para>Stores the CSD.SW_HS_N_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="524" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="524" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1aac32affc0a38969d78085a5c701f8d48" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swShieldSel</definition>
        <argsstring />
        <name>swShieldSel</name>
        <briefdescription>
<para>Stores the CSD.SW_SHIELD_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="525" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="525" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a6823d4dcea5a4d140f2c68e24cf0d65c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swAmuxbufSel</definition>
        <argsstring />
        <name>swAmuxbufSel</name>
        <briefdescription>
<para>Stores the CSD.SW_AMUXBUF_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="526" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="526" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a4252044c1308ae536d6cf61a2d76d0dc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swBypSel</definition>
        <argsstring />
        <name>swBypSel</name>
        <briefdescription>
<para>Stores the CSD.SW_BYP_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="527" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="527" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1af6d6c9e99693d3f082414ac794293bcc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swCmpPosSel</definition>
        <argsstring />
        <name>swCmpPosSel</name>
        <briefdescription>
<para>Stores the CSD.SW_CMP_P_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="528" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="528" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a2ea168aa9286a470ddfc38942eaf2191" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swCmpNegSel</definition>
        <argsstring />
        <name>swCmpNegSel</name>
        <briefdescription>
<para>Stores the CSD.SW_CMP_N_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="529" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="529" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1af680382b088194baeb5edc4505db955f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swRefgenSel</definition>
        <argsstring />
        <name>swRefgenSel</name>
        <briefdescription>
<para>Stores the CSD.SW_REFGEN_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="530" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="530" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a776efd5f0dca01626fde258f6bd493be" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swFwModSel</definition>
        <argsstring />
        <name>swFwModSel</name>
        <briefdescription>
<para>Stores the CSD.SW_FW_MOD_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="531" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="531" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a5ec5abf8d3b80d08e8b14a8d42ec4472" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swFwTankSel</definition>
        <argsstring />
        <name>swFwTankSel</name>
        <briefdescription>
<para>Stores the CSD.SW_FW_TANK_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="532" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="532" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a2692f9ff72d80c39d873fe118bc2abe8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::swDsiSel</definition>
        <argsstring />
        <name>swDsiSel</name>
        <briefdescription>
<para>Stores the CSD.SW_DSI_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="533" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="533" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a8886f31c0cdab0b78d6739c04c70f0ae" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::ioSel</definition>
        <argsstring />
        <name>ioSel</name>
        <briefdescription>
<para>Stores the CSD.IO_SEL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="534" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="534" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1aaa958f8272b5bbc4cf7032f9a5fb9df1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::seqTime</definition>
        <argsstring />
        <name>seqTime</name>
        <briefdescription>
<para>Stores the CSD.SEQ_TIME register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="535" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="535" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a958a2a38f2181a489f62542e93b870b5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::seqInitCnt</definition>
        <argsstring />
        <name>seqInitCnt</name>
        <briefdescription>
<para>Stores the CSD.SEQ_INIT_CNT register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="536" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="536" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a781be8f27110f61a446c858221181768" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::seqNormCnt</definition>
        <argsstring />
        <name>seqNormCnt</name>
        <briefdescription>
<para>Stores the CSD.SEQ_NORM_CNT register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="537" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="537" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a11549e04d6946461c2e44645e8a96cf8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::adcCtl</definition>
        <argsstring />
        <name>adcCtl</name>
        <briefdescription>
<para>Stores the CSD.ADC_CTL register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="538" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="538" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a7ade567d6ee7189b392b98aadcece830" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::seqStart</definition>
        <argsstring />
        <name>seqStart</name>
        <briefdescription>
<para>Stores the CSD.SEQ_START register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="539" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="539" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a3a3f42b13072f13b2c09cafcdb09b860" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::idacA</definition>
        <argsstring />
        <name>idacA</name>
        <briefdescription>
<para>Stores the CSD.IDACA register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="540" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="540" />
      </memberdef>
      <memberdef id="structcy__stc__csd__config__t_1a9648fc1bac42d23348d4ca82822e4999" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_csd_config_t::idacB</definition>
        <argsstring />
        <name>idacB</name>
        <briefdescription>
<para>Stores the CSD.IDACB register value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="541" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="541" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>CSD configuration structure. </para>    </briefdescription>
    <detaileddescription>
<para>This structure contains all register values of the CSD HW block. This structure is provided by middleware through the <ref kindref="member" refid="group__group__csd__functions_1ga22ab53f2e99efe2990b5c99c06dc0be7">Cy_CSD_Init()</ref> and <ref kindref="member" refid="group__group__csd__functions_1gaed0da3eeb7d2217581b1946ce102f0ae">Cy_CSD_Configure()</ref> functions to implement the CSD HW block supported sensing modes like self-cap / mutual-cap scanning, ADC measurement, etc. </para>    </detaileddescription>
    <location bodyend="542" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" bodystart="501" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_csd.h" line="502" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__csd__config__t_1a11549e04d6946461c2e44645e8a96cf8" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>adcCtl</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a2d0daac77be320ca004a77d0e95f09b7" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>adcRes</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1abed4902deef6ed1d5211ec9f5f0e4d6e" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>ambuf</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a5239f2ac87e2cdb57c61d89457891bbc" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>config</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a8d8d703358dddc8e72782e2466753af0" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>csdCmp</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a6cda2035795ec00e3583d34dfc516411" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>hscmp</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a3a3f42b13072f13b2c09cafcdb09b860" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>idacA</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a9648fc1bac42d23348d4ca82822e4999" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>idacB</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1ac30340788af8dd9c632a0b2b25f77c8b" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>intr</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1ab0edae5da88a448f2411b543c296dd92" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>intrMask</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1abb3d99031efea9748d8098a0cf3f3400" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>intrMasked</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a60b56049e338c1d3b253329921f24a49" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>intrSet</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a8886f31c0cdab0b78d6739c04c70f0ae" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>ioSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1ad76a8224aa69c75edee7e9b33fbe2027" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>refgen</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a7e79e3045eb8d532cb03a0a0bf6822ab" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>resultVal1</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1aac762ceba3dcfeac2faea528e98536f5" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>resultVal2</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1af96251504e6741c5f28775e75f177831" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>senseDuty</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a71159d29816ad944ab9005cf1bcbea5a" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>sensePeriod</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a958a2a38f2181a489f62542e93b870b5" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>seqInitCnt</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a781be8f27110f61a446c858221181768" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>seqNormCnt</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a7ade567d6ee7189b392b98aadcece830" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>seqStart</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1aaa958f8272b5bbc4cf7032f9a5fb9df1" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>seqTime</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a27d0eb7113b9e7499ab605ef7a44840f" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>spare</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1acb7545b024f230dc4fad57573699f8cf" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>statCnts</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1ac357794b4fa9d35bfc2804f50f9d0417" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>statHcnt</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a77c9b2701b86f376bf957adc1ed090ff" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>statSeq</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1aea93a9bc486209ee42919e377626c6bc" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>status</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a6823d4dcea5a4d140f2c68e24cf0d65c" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swAmuxbufSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a4252044c1308ae536d6cf61a2d76d0dc" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swBypSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a2ea168aa9286a470ddfc38942eaf2191" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swCmpNegSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1af6d6c9e99693d3f082414ac794293bcc" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swCmpPosSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a2692f9ff72d80c39d873fe118bc2abe8" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swDsiSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a776efd5f0dca01626fde258f6bd493be" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swFwModSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a5ec5abf8d3b80d08e8b14a8d42ec4472" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swFwTankSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a8b978994d18d5b2fcd8dffe95cd84a87" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swHsNegSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1af5632cd52218d2789a13283bb8249cdc" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swHsPosSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1af680382b088194baeb5edc4505db955f" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swRefgenSel</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1a281b6bfe25d8c850c7085da59be6a4dd" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swRes</name></member>
      <member prot="public" refid="structcy__stc__csd__config__t_1aac32affc0a38969d78085a5c701f8d48" virt="non-virtual"><scope>cy_stc_csd_config_t</scope><name>swShieldSel</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>